<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Notes - Card Format</title>
    <!--link rel="stylesheet" href="D:\COOLIAH\SEMESTER 3\Pemrograman Berbasis Platform\GitLab PBP\pbp-lab\lab_4\templates\style.css" type="text/css"
    Saya coba pakai external css, tapi hasilnya entah kenapa beda dengan kalau pakai internal css-->
  </head>
  <style>
    h1 {
    color:black;
    }
    table {
        border:solid 1px black;background-color:white;width:100%;border-radius:5px;
    }
    th {
        background-color:black;color:white;width:50%; 
    }
    td {
        border:solid 1px black;
    }
    body {
        background-color:white;
    }
    .card {
        box-shadow: 0 0 4px 1px black;
        width: 40%;
        border-radius: 5px;
        margin:10px;
    }
    .container {
        padding: 2px 16px;
    }
    footer {
        box-shadow: 0 0 4px 1px black;
        margin:10px;
        padding:10px;
        display:inline-block;
    }
    .fieldWrapper {
        margin:10px;
    }
  </style>
  <!--Card format credit : https://www.w3schools.com/howto/howto_css_cards.asp-->
  <body>
    <h1>Notes - Card Format</h1>
    {% if notes %}
        {% for note in notes %}
        <div class="card">
            <div class="container">
                <h2>{{note.title}}</h2>
                <h5>To : {{note.to}}</h5>
                <h5>From : {{note.from_v}}</h5>
                <hr>
                <p>{{note.message}}</p>
            </div>
        </div>
        {% endfor %}
    {% endif %}
  </body>
  <footer>
      <a href="{% url 'lab-4:index' %}">INDEX</a>
      <span> | </span>
      <a href="{% url 'lab-4:note list' %}">NOTE LIST</a>
      <span> | </span>
      <a href="{% url 'lab-4:add note' %}">ADD NOTE</a>
  </footer>
</html>
